Package ru.bitel.bgbilling.modules.inet.server.ip

# Class InetServIpHandlerOldMode

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.ip.AbstractInetServIpHandler
ru.bitel.bgbilling.modules.inet.server.ip.InetServIpHandlerOldMode

All Implemented Interfaces:
  `InetServIpHandler`

public class InetServIpHandlerOldMode extends AbstractInetServIpHandler implements InetServIpHandler

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.modules.inet.server.ip.AbstractInetServIpHandler

  `AbstractInetServIpHandler.IpResult`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.inet.server.ip.AbstractInetServIpHandler

  `context, inetServService, moduleId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServIpHandlerOldMode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkAddress(InetServ inetServ, InetServType servType)`
  Проверка введенных значений IP
  `void`
  `flowStaticSubnet(ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime inetServRuntime, List<IpNet> result)`
  добавляем статическую подсеть в обсчет Netflow
  `void`
  `setAddress(InetServ inetServ, InetServType servType, InetServ oldInetServ, int subscriberId, String subscriberTitle)`
  Выделение IP из ресурсов
  `boolean`
  `setRadiusIp(InetServIpData inetServIpData, RadiusPacket request, RadiusPacket response)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.inet.server.ip.AbstractInetServIpHandler

  `flowStaticSubnetIPv4, getIPv4Mode, getIPv6Mode, setDelegatedIPv6Prefix, setFramedIPAddress, setFramedIPv6Prefix, setInetServService, setModuleId, setServerContext, subscriptionDelegatedIPv6Prefix, subscriptionFramedIPv6Prefix, tryReserveIPv4FromPool`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetServIpHandlerOldMode

    public InetServIpHandlerOldMode()

- ## Method Details

  - ### checkAddress

    public void checkAddress(InetServ inetServ, InetServType servType) throws ru.bitel.bgbilling.common.BGMessageException
    Description copied from interface: `InetServIpHandler`
    Проверка введенных значений IP
    Specified by:
      `checkAddress` in interface `InetServIpHandler`
    Overrides:
      `checkAddress` in class `AbstractInetServIpHandler`
    Parameters:
      `inetServ` -
      `servType` -
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### setAddress

    public void setAddress(InetServ inetServ, InetServType servType, InetServ oldInetServ, int subscriberId, String subscriberTitle) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `InetServIpHandler`
    Выделение IP из ресурсов
    Specified by:
      `setAddress` in interface `InetServIpHandler`
    Overrides:
      `setAddress` in class `AbstractInetServIpHandler`
    Parameters:
      `inetServ` -
      `servType` -
      `oldInetServ` -
      `subscriberId` -
      `subscriberTitle` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setRadiusIp

    public boolean setRadiusIp(InetServIpData inetServIpData, RadiusPacket request, RadiusPacket response)
    Specified by:
      `setRadiusIp` in interface `InetServIpHandler`
    Overrides:
      `setRadiusIp` in class `AbstractInetServIpHandler`
    Parameters:
      `inetServIpData` -
      `request` -
      `response` -
    Returns:

  - ### flowStaticSubnet

    public void flowStaticSubnet(ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime inetServRuntime, List<IpNet> result)
    добавляем статическую подсеть в обсчет Netflow
    Specified by:
      `flowStaticSubnet` in interface `InetServIpHandler`
    Overrides:
      `flowStaticSubnet` in class `AbstractInetServIpHandler`
    Parameters:
      `inetServRuntime` -
      `result` -